<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     WPOpal  Team <wpopal@gmail.com, support@wpopal.com>
 * @copyright  Copyright (C) 2014 wpopal.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.wpopal.com
 * @support  http://www.wpopal.com/support/forum.html
 */
require_once ( WPO_THEME_SUB_DIR . 'vc/pagebuilder.php' );

if (!class_exists('WPO_VisualComposer')) {

	class WPO_VisualComposer extends WPO_PageBuilder_Base{

		public function __construct(){
			parent::__construct();

			$this->loadThemeShortCode();
			//Edit Elements
			$this->elementTabItem();
			$this->elementButton();
			$this->elementMap();
			$this->elementColumn();
			$this->elementRow();
			$this->elementTitle();

			$this->modifyPostGrid();
		}

		/**
		 *
		 */
		private function loadThemeShortCode(){
			if( WPO_WOOCOMMERCE_ACTIVED ) {
				require_once( WPO_THEME_SUB_DIR.'vc/woocommerce.php');
			}
			require_once( WPO_THEME_SUB_DIR.'vc/theme.php' );
		}

		/**
		 *
		 */
		private function elementTitle(){
			vc_add_param( 'vc_text_separator', array(
				"type" => "textarea",
				"heading" => __("Description", TEXTDOMAIN),
				"param_name" => "descript",
				"value" => ''
		    ));
		    vc_add_param( 'vc_pie', array(
				"type" => "textarea",
				"heading" => __("Description", TEXTDOMAIN),
				"param_name" => "descript",
				"value" => ''
		    ));
		    vc_add_param( 'vc_text_separator', array(
				'type' => 'dropdown',
				'heading' => __( 'Title font size', TEXTDOMAIN ),
				'param_name' => 'size',
				'value' => array(
					__( 'Large', TEXTDOMAIN ) => 'font-size-lg',
					__( 'Medium', TEXTDOMAIN ) => 'font-size-md',
					__( 'Small', TEXTDOMAIN ) => 'font-size-sm',
					__( 'Extra small', TEXTDOMAIN ) => 'font-size-xs'
				)
			));

		    vc_add_param( 'vc_posts_grid', array(
				'type' => 'dropdown',
				'heading' => __( 'Title Alignment', TEXTDOMAIN ),
				'param_name' => 'title_align',
				'value' => array(
					__( 'Align left', TEXTDOMAIN ) => 'separator_align_left',
					__( 'Align center', TEXTDOMAIN ) => 'separator_align_center',
					__( 'Align right', TEXTDOMAIN ) => 'separator_align_right'
				)
		    ));

			vc_add_param( 'vc_posts_grid', array(
				'type' => 'dropdown',
				'heading' => __( 'Title font size', TEXTDOMAIN ),
				'param_name' => 'size',
				'value' => array(
					__( 'Large', TEXTDOMAIN ) => 'font-size-lg',
					__( 'Medium', TEXTDOMAIN ) => 'font-size-md',
					__( 'Small', TEXTDOMAIN ) => 'font-size-sm',
					__( 'Extra small', TEXTDOMAIN ) => 'font-size-xs'
				)
		    ));

		}

		/**
		 *
		 */
		private function elementRow(){
		     vc_add_param( 'vc_row', array(
                "type" => "checkbox",
                "heading" => __("Parallax", TEXTDOMAIN),
                "param_name" => "parallax",
                "value" => array(
                    __('Yes, please', TEXTDOMAIN) => true
                )
            ));
			
			vc_add_param( 'vc_row_inner', array(
                "type" => "checkbox",
                "heading" => __("Parallax", TEXTDOMAIN),
                "param_name" => "parallax",
                "value" => array(
                    __('Yes, please', TEXTDOMAIN) => true
                )
            ));

		     vc_add_param( 'vc_row', array(
		         "type" => "dropdown",
		         "heading" => __("Is Boxed", TEXTDOMAIN),
		         "param_name" => "isfullwidth",
		         "value" => array(
		         				__('Yes, Boxed', TEXTDOMAIN) => '1',
		         				__('No, Wide', TEXTDOMAIN) => '0'
		         			)
		    ));

		     vc_add_param( 'vc_row_inner', array(
		         "type" => "checkbox",
		         "heading" => __("Is Boxed", TEXTDOMAIN),
		         "param_name" => "isfullwidth",
		         "value" => array(
		         		__('Yes, please', TEXTDOMAIN) => true
		         	)
		    ));

		}

		/**
		 *
		 */
		private function elementColumn(){
			$add_css_animation = array(
				"type" => "dropdown",
				"heading" => __("CSS Animation", TEXTDOMAIN),
				"param_name" => "css_animation",
				"admin_label" => true,
				"value" => $this->cssAnimation,
				"description" => __("Select animation type if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.", TEXTDOMAIN)
			);
			vc_add_param('vc_column',$add_css_animation);
			vc_add_param('vc_column_inner',$add_css_animation);
		}

		private function modifyPostGrid(){
			vc_add_param( 'vc_posts_grid', array(
					"type" => "dropdown",
					"heading" => __("Layout Type", TEXTDOMAIN),
					"param_name" => "layout",
					"value" => array(
							__('Grid 1', TEXTDOMAIN) =>'style1',
							__('Grid 2', TEXTDOMAIN) =>'style2',
							__('List', TEXTDOMAIN )  =>'style3'
						),
					"admin_label" => true,
					"description" => __("Select Skin layout.", TEXTDOMAIN)
				)
		    );
		}
		/**
		 * Google Map
		 */
		private function elementMap(){
			$param = WPBMap::getParam('vc_gmaps', 'title');
			$param['type'] = 'googlemap';
			$param['heading']='Position';
			$param['description']='';
			WPBMap::mutateParam('vc_gmaps', $param);

			$param = WPBMap::getParam('vc_gmaps', 'link');
			$param['type']='hidden';
			$param['value']='21.0173222,105.78405279999993';
			WPBMap::mutateParam('vc_gmaps', $param);

			$param = WPBMap::getParam('vc_gmaps', 'size');
			$param['value']=300;
			$param['description']='Enter map height in pixels. Example: 300.';
			WPBMap::mutateParam('vc_gmaps', $param);

			vc_add_param( 'vc_gmaps', array(
					"type" => "dropdown",
					"heading" => __("Map Type", TEXTDOMAIN),
					"param_name" => "type",
					"value" => array(
								'roadmap'=>'ROADMAP',
								'hybrid'=>'HYBRID',
								'satellite'=>'SATELLITE',
								'terrain'=>'TERRAIN'
							),
					"admin_label" => true,
					"description" => __("Select Map Type.", TEXTDOMAIN)
				)
		    );

			$classparam = WPBMap::getParam('vc_gmaps', 'el_class');
			$this->deleteParam('vc_gmaps','el_class');

			vc_add_param( 'vc_gmaps', array(
		         "type" => "checkbox",
		         "heading" => __("Remove Pan Control", TEXTDOMAIN),
		         "param_name" => "pancontrol",
		         "value" => array(
		         				 __('Yes, please', TEXTDOMAIN) => true
		         			)
		    ));

		    vc_add_param( 'vc_gmaps', array(
		         "type" => "checkbox",
		         "heading" => __("Remove Zoom Control", TEXTDOMAIN),
		         "param_name" => "zoomcontrol",
		         "value" => array(
		         				 __('Yes, please', TEXTDOMAIN) => true
		         			)
		    ));

		    vc_add_param( 'vc_gmaps', array(
		         "type" => "checkbox",
		         "heading" => __("Remove Maptype Control", TEXTDOMAIN),
		         "param_name" => "maptypecontrol",
		         "value" => array(
		         				__('Yes, please', TEXTDOMAIN) => true
		         			)
		    ));

		    vc_add_param( 'vc_gmaps', array(
		         "type" => "checkbox",
		         "heading" => __("Remove Streets Control", TEXTDOMAIN),
		         "param_name" => "streetscontrol",
		         "value" => array(
		         				__('Yes, please', TEXTDOMAIN) => true
		         			)
		    ));

		    WPBMap::mutateParam('vc_gmaps', $classparam);
		}

		/**
		 * Tab Item
		 */
		private function elementTabItem(){
			vc_add_param( 'vc_tab', array(
		         "type" => "textfield",
		         "heading" => __("Icon", TEXTDOMAIN),
		         "param_name" => "tabicon",
		         "value" => ''
		    ));
		}

		/**
		 * Button
		 */
		private function elementButton(){
			// color
			$param = WPBMap::getParam('vc_button', 'color');
			$param['value'] = array(
								'Default'=>'btn-default',
								'Primary'=>'btn-success',
								'Success'=>'btn-success',
								'Info'=>'btn-warning',
								'Danger'=>'btn-danger',
								'Link'=>'btn-link'
							);
			$param['heading']='Type';
			WPBMap::mutateParam('vc_button', $param);

			// icon
			$param = WPBMap::getParam('vc_button', 'icon');
			$param['type']='textfield';
			$param['value']='';
			WPBMap::mutateParam('vc_button', $param);

			// size
			$param = WPBMap::getParam('vc_button', 'size');
			$param['value']= array(
								'Default'=>'',
								'Large'=>'btn-lg',
								'Small'=>'btn-sm',
								'Extra small'=>'btn-xs'
							);
			WPBMap::mutateParam('vc_button', $param);
		}

		/**
		 * Image Carousel
		 */

		private function elementImageCarousel(){
			$this->deleteParam('vc_images_carousel',array(
														'img_size',
														'onclick',
														'mode',
														'slides_per_view',
														'wrap',
														'partial_view',
														'speed',
														'autoplay'
													));
		}

		/**
		 * Goole Map
		 */
		private function elementGoogleMap(){
			$this->deleteParam('vc_gmaps',array(
											'title',
											'link'
										));
		}

		private function elementProgressBar(){
			$this->deleteParam('vc_progress_bar',array(
											'title',
											'units',
											'bgcolor',
											'custombgcolor',
											'options'
										));
		}

	}

	add_action( 'init', 'wpo_init_pagebuilder' );
	function wpo_init_pagebuilder(){
		new WPO_VisualComposer();
	}

}